struct id3_block {
	char header[3];
	char title[30];
	char artist[30];
	char album[30];
	char year[4];
	char comment[28];
	char pad[1];
	char track[1];
	char genre[1];
};

#define ID3_TAG "TAG"
#define ID3_HEADER_LEN 3

const char *id3v1_n_to_genre(unsigned n);
int id3v1_genre_to_n(const char *genre);
